<h2 mat-dialog-title class="title">{{data.title}}
  <button mat-icon-button class="close-button" [mat-dialog-close]="true" style="float: right;"> <mat-icon class="close-icon" color="warn">close</mat-icon>
  </button>
</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
       <mat-form-field appearance="fill" class="col-12 col-sm-5 float-left">
          <mat-label class="font-comp">Fecha</mat-label>
          <input class="font-comp col-12" matInput [matDatepicker]="dpDate" [formControl]="date" [max]="dateServ.today"  readonly
            [(ngModel)]="fecha_carga" />
          <mat-datepicker-toggle matSuffix [for]="dpDate"></mat-datepicker-toggle>
        <mat-datepicker #dpDate disabled="false"></mat-datepicker>
      </mat-form-field>

      <div class="content-form col-12 col-sm-6 float-left import align-items-end">
        <div class="form-control subir">
          <label for="import"
            ><i class="fas fa-cloud-upload-alt"></i> Importar datos</label
          >

          <!-- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel -->
          <input
            #fileimport
            type="file"
            accept=".csv"
            (click)="limpiar_adj()"
            (change)="cargar_numeros($event)"
            data-preview-file-type="text"
            class="form-control-file"
            id="import"
            name="import"
            [(ngModel)]="importcliente"
          />

        </div>
      </div>

      <div class="content-form col-12 col-sm-1 float-left import align-items-end">
        <button class="btn btn-sm btn-reg btn-uq subir" mat-button (click)="guardar()" [disabled]="btndisreg" ><i class="fa fa-save fa-2x"></i></button>
      </div>
      <div class="col-{{spin ? '11' : '12' }} float-left text-right">
        <small
          *ngIf="banconvert"
          id="importHelp"
          class="form-text {{errimport ? 'text-danger' : 'text-muted' }} msj-chk"
          ><i class="{{errimport ? 'fa fa-times' : 'fas fa-sync-alt'}}"></i> {{ msjvalida }}</small
        >
        <!-- <small
          *ngIf="errinfo"
          id="importHelp"
          class="form-text text-muted msj-chk"
          ><i class="far fa-check-circle"></i> Datos de clientes validados con éxito.
          :: {{ validados }} registro(s)
        </small>
        <small
          *ngIf="errimport"
          id="importHelp"
          class="form-text text-muted msj-chk"
          ><i class="far fa-check-circle"></i> Se cargó archivo excel de clientes.
          <a href="javascript:void(0)" class="upload" (click)="importclientes()">
            <i class="fas fa-file-upload"></i>&nbsp;Subir archivo.</a
          ></small
        > -->
      </div>

      <div *ngIf="spin" class="content-form col-1 col-sm-1 float-left import align-items-end spin-crg">
       <mat-icon><mat-spinner diameter="20">
                    </mat-spinner></mat-icon>
      </div>
  </form>
  <div class="container-fluid float-left div-table col-12" >
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th class="col-15 col-r" scope="col">N°</th>
            <th class="col-l col-180" scope="col">Número</th>
            <!-- <th class="col-50 col-l" scope="col">Fecha WhatsAap</th> -->
            <th class="col-50 col-l" scope="col">Fecha Carga</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageServ.dataSourceModal;">

            <th class="col-15 col-r">{{regist.pos}}</th>
            <td class="col-l col-100">{{regist.numero}} </td>
            <!-- <td class="col-l col-180">{{regist.fechawtsp}} </td> -->
            <td class="col-l col-180">{{regist.fecha}} </td>
          </tr>
          <tr *ngIf="dataGlobal.length == 0" class="col-l cel-ie">
            <th colspan="4">No hay registros.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="4" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
      <div *ngIf="dataGlobal.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaModal(dataGlobal, $event);"
            [pageSize]="pageServ.pageSize"
            [pageSizeOptions]="pageServ.pageSizeOptions">
      </mat-paginator>

    </div>
  <!-- <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="cancelar()">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardar()" >Aceptar</button>

  </div> -->
</div>


